<!DOCTYPE html>
<html>
<head>
	<title>侧栏分享</title>
	<style type="text/css" media="screen">
		#div1{
			position:absolute;
			left:-150px;
			width: 150px;
			height:200px;
			background:#444;
		}
		#div1 span{
			position:absolute;
			right:-20px;
			top:70px;
			width: 20px;
			height:60px;
			background:blue;
			line-height:20px;

		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
			oDiv=document.getElementById('div1');
			oDiv.onmouseover=function(){
				startMove(0);
			}
			oDiv.onmouseout=function(){
				startMove(-150);
			}
		};
		var timer=null;
		function startMove(iTarget){
			oDiv=document.getElementById('div1');
			clearTimeout(timer);
			timer=setInterval(function(){
				var speed=0;
				if(oDiv.offsetLeft<iTarget){
					speed=10;
				}else{
					speed=-10;
				}
				if(oDiv.offsetLeft==iTarget){
					clearInterval(timer);
				}else{
					oDiv.style.left=oDiv.offsetLeft+speed+'px';
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1">
		<span>分享</span>
	</div>
</body>
</html>